Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 12 Nov 2022 02:01:12 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had placed a order on 29-10-2022 for 3 tshirts
I received 2 tshirts i have not received the 3rd one. It's been more than 2 weeks now but still there is no single message from splash whether my order is cancelled or delivered in the mall. I spoke with some agent on call few days back still i have not received any update, my experience with you guys is very bad.i am really not at all happy with your service. He loyal and honest with your customer.i am going share my review on social media about my experience.
Call me as soon as possible on my number 0528951149 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5246892